summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
authorkaa <kaa@laptosh.my.domain>2023-06-23 11:19:51 -0700
committerkaa <kaa@laptosh.my.domain>2023-06-23 11:19:51 -0700
commit8828e75a9ee7a5408ad00ad17e9878a2740cc866 (patch)
treebd60b53fb9896316ebc9928a30e0b0806b1c64ae /update.sh
"Initial."
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh97
1 files changed, 97 insertions, 0 deletions
diff --git a/update.sh b/update.sh
new file mode 100755
index 0000000..ca7d9ac
--- /dev/null
+++ b/update.sh
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+if [ -f ../password.txt ]
+then
+ combo=kaa:$( cat ../password.txt )
+fi
+
+api="neocities.org/api"
+files=0
+drawn=0
+composed=0
+photographed=0
+up=0
+
+for i in $@
+do
+ eval "$i=1"
+done
+
+if [ $up -eq 1 ]
+then
+ curl "https://$combo@$api/list" > files.json
+fi
+
+if [ $files -eq 1 ]
+then
+ ./files > files.html
+ if [ $up -eq 1 ]
+ then
+ curl -F "files.html=@files.html" "https://$combo@$api/upload"
+ fi
+fi
+
+if [ $drawn -eq 1 ]
+then
+ for i in drawn/*.html
+ do
+ cp $i $i.bup
+ done
+
+ ./drawn/monthly
+
+ for i in drawn/20*.html
+ do
+ i=$i
+ done
+ cp $i drawn/index.html
+
+ if [ $up -eq 1 ]
+ then
+ for i in drawn/*.html
+ do
+ diff $i $i.bup >/dev/null 2>&1
+ if [ $? != 0 ]
+ then
+ curl -F "$i=@$i" "https://$combo@$api/upload"
+ fi
+ done
+ fi
+fi
+
+if [ $composed -eq 1 ]
+then
+ ./composed > composed.html
+ if [ $up -eq 1 ]
+ then
+ curl -F "composed.html=@composed.html" "https://$combo@$api/upload"
+ fi
+fi
+
+if [ $photographed -eq 1 ]
+then
+ for i in photographed/*.html
+ do
+ cp $i $i.bup
+ done
+
+ ./photographed/monthly
+
+ for i in photographed/20*.html
+ do
+ i=$i
+ done
+ cp $i photographed/index.html
+
+ if [ $up -eq 1 ]
+ then
+ for i in photographed/*.html
+ do
+ diff $i $i.bup > /dev/null 2>&1
+ if [ $? != 0 ]
+ then
+ curl -F "$i=@$i" "https://$combo@$api/upload"
+ fi
+ done
+ fi
+fi